summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorYaohan Chen2015-06-20 23:00:34 -0400
committerYaohan Chen2015-06-20 23:00:34 -0400
commitb2dd510e741ad7d89a8cf0c780d8b5379c35fa0e (patch)
tree96ad6dcf60d2ea9315139c2fede91f362eb56338
downloadaur-fractal-hib.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD53
-rw-r--r--fractal.desktop10
-rw-r--r--fractal.sh5
4 files changed, 89 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..911619795ee
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = fractal-hib
+ pkgdesc = An enthralling music puzzler experience (Humble Bundle version)
+ pkgver = 20130613
+ pkgrel = 1
+ url = http://www.cipherprime.com/games/fractal/
+ arch = i686
+ arch = x86_64
+ license = custom:commercial
+ makedepends = hib-dlagent
+ depends = mesa
+ depends = libxcursor
+ depends = glu
+ source = hib://Fractal_20130613_Linux_1371245691.tar.gz
+ source = fractal.sh
+ source = fractal.desktop
+ md5sums = 4ea677cd81cccc250f4c02a618b299f5
+ md5sums = ef357ae4ef92514176959df8068c769a
+ md5sums = 44d4b6f8bc260becf997c9e2382862d8
+
+pkgname = fractal-hib
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..493b847287f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,53 @@
+# Maintainer: Yaohan Chen <yaohan.chen@gmail.com>
+pkgname=fractal-hib
+pkgver=20130613
+pkgrel=1
+epoch=
+pkgdesc="An enthralling music puzzler experience (Humble Bundle version)"
+arch=(i686 x86_64)
+url="http://www.cipherprime.com/games/fractal/"
+license=(custom:commercial)
+groups=()
+depends=(mesa libxcursor glu)
+makedepends=(hib-dlagent)
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=('hib://Fractal_20130613_Linux_1371245691.tar.gz'
+ 'fractal.sh'
+ 'fractal.desktop')
+DLAGENTS+=('hib::/usr/bin/echo "Could not find %u. Manually download it to \"$(pwd)\", or set up a hib:// DLAGENT in makepkg.conf. See http://git.ersoft.org/git/hib-dlagent.git/tree/README ."; exit 1')
+noextract=()
+md5sums=('4ea677cd81cccc250f4c02a618b299f5'
+ 'ef357ae4ef92514176959df8068c769a'
+ '44d4b6f8bc260becf997c9e2382862d8')
+
+prepare() {
+ if [ "$CARCH" == x86_64 ]
+ then
+ _arch=x86_64
+ _otherarch=x86
+ else
+ _arch=x86
+ _otherarch=x86_64
+ fi
+
+ cd $srcdir/Fractal/Linux/
+ mv Fractal.$_arch Fractal
+ rm -r Fractal_Data/Mono/$_otherarch
+}
+
+package() {
+ cd $srcdir/Fractal/Linux/
+ install -m755 -D Fractal $pkgdir/opt/fractal/Fractal
+ cp --no-preserve=mode -r Fractal_Data $pkgdir/opt/fractal/
+ install -m755 -D $srcdir/fractal.sh $pkgdir/usr/bin/fractal
+ install -m644 -D Fractal_Data/Resources/UnityPlayer.png $pkgdir/usr/share/icons/fractal.png
+ install -m644 -D $srcdir/fractal.desktop $pkgdir/usr/share/applications/fractal.desktop
+}
diff --git a/fractal.desktop b/fractal.desktop
new file mode 100644
index 00000000000..2f93e886a71
--- /dev/null
+++ b/fractal.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Type=Application
+Name=Fractal
+Comment=Music Puzzler Game
+Exec=fractal
+Icon=fractal
+Terminal=false
+StartupNotify=false
+Categories=Game;LogicGame
diff --git a/fractal.sh b/fractal.sh
new file mode 100644
index 00000000000..85496d149e4
--- /dev/null
+++ b/fractal.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+cd /opt/fractal
+./Fractal $@
+